# follow_track.hpp File Reference

Template function for track followers. More...

`#include "../pbs.h"`
`#include "../roadveh.h"`
`#include "../station_base.h"`
`#include "../train.h"`
`#include "../tunnelbridge.h"`
`#include "../tunnelbridge_map.h"`
`#include "../depot_map.h"`
`#include "pf_performance_timer.hpp"`

Go to the source code of this file.

## Data Structures
struct | CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
| Track follower helper template class (can serve pathfinders and vehicle controllers). More...
## Typedefs
typedef CFollowTrackT < TRANSPORT_WATER, Ship, true > | CFollowTrackWater
typedef CFollowTrackT < TRANSPORT_ROAD, RoadVehicle, true > | CFollowTrackRoad
typedef CFollowTrackT < TRANSPORT_RAIL, Train, true > | CFollowTrackRail
typedef CFollowTrackT < TRANSPORT_WATER, Ship, false > | CFollowTrackWaterNo90
typedef CFollowTrackT < TRANSPORT_ROAD, RoadVehicle, false > | CFollowTrackRoadNo90
typedef CFollowTrackT < TRANSPORT_RAIL, Train, false > | CFollowTrackRailNo90
typedef CFollowTrackT < TRANSPORT_RAIL, Train, true, true > | CFollowTrackFreeRail
typedef CFollowTrackT < TRANSPORT_RAIL, Train, false, true > | CFollowTrackFreeRailNo90

## Detailed Description

Template function for track followers.

Definition in file follow_track.hpp.